aboutsummaryrefslogtreecommitdiff
path: root/examples/udhcp/simple.script
diff options
context:
space:
mode:
authorRuss Dill <Russ.Dill@asu.edu>2002-10-14 21:41:28 +0000
committerRuss Dill <Russ.Dill@asu.edu>2002-10-14 21:41:28 +0000
commit61fb48930f45aa536584b2047f9e703186e8f69f (patch)
treee3b93e0a694be81939f8c4762553c43ffdb9b10b /examples/udhcp/simple.script
parent9060a7315980bb05f42eab76b88746d43e138188 (diff)
downloadbusybox-61fb48930f45aa536584b2047f9e703186e8f69f.tar.gz
added full udhcp integration
Diffstat (limited to 'examples/udhcp/simple.script')
-rw-r--r--examples/udhcp/simple.script39
1 files changed, 39 insertions, 0 deletions
diff --git a/examples/udhcp/simple.script b/examples/udhcp/simple.script
new file mode 100644
index 000000000..a52a7f812
--- /dev/null
+++ b/examples/udhcp/simple.script
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+# udhcpc script edited by Tim Riker <Tim@Rikers.org>
+
+[ -z "$1" ] && echo "Error: should be called from udhcpc" && exit 1
+
+RESOLV_CONF="/etc/resolv.conf"
+[ -n "$broadcast" ] && BROADCAST="broadcast $broadcast"
+[ -n "$subnet" ] && NETMASK="netmask $subnet"
+
+case "$1" in
+ deconfig)
+ /sbin/ifconfig $interface 0.0.0.0
+ ;;
+
+ renew|bound)
+ /sbin/ifconfig $interface $ip $BROADCAST $NETMASK
+
+ if [ -n "$router" ] ; then
+ echo "deleting routers"
+ while route del default gw 0.0.0.0 dev $interface ; do
+ :
+ done
+
+ for i in $router ; do
+ route add default gw $i dev $interface
+ done
+ fi
+
+ echo -n > $RESOLV_CONF
+ [ -n "$domain" ] && echo search $domain >> $RESOLV_CONF
+ for i in $dns ; do
+ echo adding dns $i
+ echo nameserver $i >> $RESOLV_CONF
+ done
+ ;;
+esac
+
+exit 0